package com.usky.system.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.system.service.SysPlatformMenuService;
import com.usky.system.service.vo.TenantMenuVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * 租户管理-权限配置
 *
 * @author ya
 * @since 2022-05-05
 */
@RestController
@RequestMapping("/authorityConfig")
public class AuthorityConfigController {

    @Autowired
    private SysPlatformMenuService sysPlatformMenuService;


    /**
     * 租户管理-权限配置-目录查询
     *
     * @param platformId 平台ID
     * @param tenantId   租户ID
     * @return
     */
    @GetMapping("getMenuList")
    public ApiResult<Map<String, Object>> getMenuList(@RequestParam(value = "platformId") Integer platformId,
                                                      @RequestParam(value = "tenantId") Integer tenantId) {
        return ApiResult.success(sysPlatformMenuService.getMenuList(platformId, tenantId));
    }

    /**
     * 租户管理-权限配置-目录保存
     *
     * @param tenantMenuVo
     * @return
     */
//    @Log(title = "权限配置", businessType = BusinessType.UPDATE)
    @PostMapping("updateMenu")
    public ApiResult<Void> updateMenu(@RequestBody TenantMenuVo tenantMenuVo) {
        sysPlatformMenuService.updateMenu(tenantMenuVo);
        return ApiResult.success();
    }


}

